uniform sampler2D coltex;

varying float dist;
varying vec4 col;

void main(void) {
  vec4 tcol=texture2D(coltex, gl_TexCoord[0].xy);

//  gl_FragData[0] = tcol*col*2;
  gl_FragData[0] = tcol*col;

//#ifdef TUNKKI
  gl_FragData[1].r = 1.0;
//#else
  gl_FragData[1].r = dist;
//#endif

}
